Subject: Re: Git GSoC 2015

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Feb 2015 11:53:20 -0800

Jeff King <[email-masked]> writes:

> The beginnings of the Google Summer of Code deadlines are upon us again.
> Organization applications are due February 20th (next Friday).
>
>  - Any thoughts on procedures or lessons learned from last year?
>
>    Personally, I really liked the "micro-project" system from last year.
>    It made it easy to drop spammy candidates (because they didn't bother
>    to do a micro-project at all), and it gave us some interaction with
>    the candidates before we had to make a decision.

Yes, I agree that the micro-project system was the best part of last
year's GSoC process.  In addition to the benefits you listed above,
it allowed students to be exposed the development style here, and
engage with the community very early in the program.